Package org.jbpm.kie.services.impl.admin.commands

## Class ListTimersCommand

- java.lang.Object
- - org.jbpm.kie.services.impl.admin.commands.ListTimersCommand

- All Implemented Interfaces:
    `Serializable`, `org.kie.api.command.Command<List<TimerInstance>>`, `org.kie.api.command.ExecutableCommand<List<TimerInstance>>`, `org.kie.internal.command.ProcessInstanceIdCommand`

      public class ListTimersCommand
      extends Object
      implements org.kie.api.command.ExecutableCommand<List<TimerInstance>>, org.kie.internal.command.ProcessInstanceIdCommand

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ListTimersCommand​(long processInstanceId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<TimerInstance>` | `execute​(org.kie.api.runtime.Context context)` |
    `Long` | `getProcessInstanceId()` |
    `protected void` | `processNodeInstance​(TimerManager tm, NodeInstanceContainer container, List<TimerInstance> timers)` |
    `protected String` | `resolveVariable​(String s, org.kie.api.runtime.process.NodeInstance pi)` |
    `void` | `setProcessInstanceId​(Long procInstId)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListTimersCommand

          public ListTimersCommand​(long processInstanceId)

  - ### Method Detail

    - #### execute

          public List<TimerInstance> execute​(org.kie.api.runtime.Context context)

      Specified by:
        `execute` in interface `org.kie.api.command.ExecutableCommand<List<TimerInstance>>`

    - #### processNodeInstance

          protected void processNodeInstance​(TimerManager tm,
                                             NodeInstanceContainer container,
                                             List<TimerInstance> timers)

    - #### resolveVariable

          protected String resolveVariable​(String s,
                                           org.kie.api.runtime.process.NodeInstance pi)

    - #### setProcessInstanceId

          public void setProcessInstanceId​(Long procInstId)

      Specified by:
        `setProcessInstanceId` in interface `org.kie.internal.command.ProcessInstanceIdCommand`

    - #### getProcessInstanceId

          public Long getProcessInstanceId()

      Specified by:
        `getProcessInstanceId` in interface `org.kie.internal.command.ProcessInstanceIdCommand`